### Method

# Cogl Color init_from_4fv

#### Declaration [src]

    void
    cogl_color_init_from_4fv (
      CoglColor* color,
      const float* color_array
    )

#### Description [src]

Sets the values of the passed channels into a `CoglColor`.

#### Parameters

`color_array`

  Type: `const float*`

  A pointer to an array of 4 float color components.

  The data is owned by the caller of the method.